Package: org.grails.plugins.web.rest.render.html

## [Groovy] Class DefaultHtmlRenderer<T>

- org.grails.plugins.web.rest.render.html.DefaultHtmlRenderer

- All Implemented Interfaces and Traits:
    Renderer<T>

      @groovy.transform.CompileStatic
      class DefaultHtmlRenderer<T>
      extends java.lang.Object
      implements Renderer<T>

  A default renderer for HTML that returns an appropriate model

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected MimeType[]` | `mimeTypes` |
    `private ProxyHandler` | `proxyHandler` |
    `private java.lang.String` | `suffix` |
    `protected java.lang.Class<T>` | `targetType` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `ProxyHandler` | `proxyHandler`
    `java.lang.String` | `suffix`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultHtmlRenderer (java.lang.Class<T> targetType)`
    `DefaultHtmlRenderer (java.lang.Class<T> targetType, MimeType mimeType)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `applyModel(RenderContext context, java.lang.Object object)`
    `` | `MimeType[]` | `getMimeTypes()`
    `` | `java.lang.Class<T>` | `getTargetType()`
    `` | `void` | `render(T object, RenderContext context)`
    `` | `protected java.lang.String` | `resolveModelVariableName(java.lang.Object object)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected MimeType[] mimeTypes

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) private ProxyHandler proxyHandler

    - #### private java.lang.String suffix

    - #### protected java.lang.Class<T> targetType

  - ### Property Detail

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) ProxyHandler proxyHandler

    - #### java.lang.String suffix

  - ### Constructor Detail

    - #### DefaultHtmlRenderer(java.lang.Class<T> targetType)

    - #### DefaultHtmlRenderer(java.lang.Class<T> targetType, MimeType mimeType)

  - ### Method Detail

    - #### protected void applyModel(RenderContext context, java.lang.Object object)

    - #### MimeType[] getMimeTypes()

    - #### java.lang.Class<T> getTargetType()

    - #### @java.lang.Override void render(T object, RenderContext context)

    - #### protected java.lang.String resolveModelVariableName(java.lang.Object object)